#!/bin/bash
ReturnCode=0

/bin/notify --group "DoIt Test" --title "DoIt Test 2" "DoIt post install script #2 is running.  Did the users and groups specified in PackageInfo get created?"
sleep 1s

if UserInfo=`id doitalex`
then
  Message="Successfully found user: $UserInfo"
else
  Message="Bug: Failed to find user doitalex.  Error code $?."
  ReturnCode=1
fi
/bin/notify --group "DoIt Test" --title "DoIt Test 2" "$Message"
sleep 1s

if UserInfo=`id doitgeorge`
then
  Message="Successfully found user: $UserInfo"
else
  Message="Bug: Failed to find user doitgeorge.  Error code $?."
  ReturnCode=2
fi
/bin/notify --group "DoIt Test" --title "DoIt Test 2" "$Message"
sleep 1s

if GroupInfo=`grep "^doitalexgroup:" /etc/group`
then
  Message="Successfully found group: $GroupInfo"
else
  Message="Bug: Failed to find group doitalexgroup.  Error code $?."
  ReturnCode=3
fi
/bin/notify --group "DoIt Test" --title "DoIt Test 2" "$Message"
sleep 1s

if GroupInfo=`grep "^doitgeorgegroup:" /etc/group`
then
  Message="Successfully found group: $GroupInfo"
else
  Message="Bug: Failed to find group doitgeorgegroup.  Error code $?."
  ReturnCode=4
fi
/bin/notify --group "DoIt Test" --title "DoIt Test 2" "$Message"
sleep 1s

/bin/notify --group "DoIt Test" --title "DoIt Test 2" "DoIt post install script #2 is done.  Exit code will be $ReturnCode."
sleep 1s
exit $ReturnCode
